DocMkrTextInternal::Footer Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
DocMkrTextInternal::Footer Struct Reference

Internal: structure to store a footer data of a DocMkrText. More...

## Public Member Functions
| Footer ()
| constructor More...
bool | empty () const
| returns true if the footer is empty More...

## Public Attributes
MWAWFont | m_font
| the font More...
bool | m_chapterResetPage
| true if a chapter reset page More...
int | m_items [6]
| the item values More...
std::string | m_userInfo
| the user information entry More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Footer const &f)
| operator<< More...

## Detailed Description

Internal: structure to store a footer data of a DocMkrText.

## Constructor & Destructor Documentation

## ◆ Footer()

DocMkrTextInternal::Footer::Footer | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ empty()

bool DocMkrTextInternal::Footer::empty | ( |  | ) | const
| inline

returns true if the footer is empty

Referenced by DocMkrText::sendFooter().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Footer const & | f
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_chapterResetPage

bool DocMkrTextInternal::Footer::m_chapterResetPage

true if a chapter reset page

Referenced by DocMkrText::readFooter().

## ◆ m_extra

std::string DocMkrTextInternal::Footer::m_extra

extra data

Referenced by DocMkrText::readFooter().

## ◆ m_font

MWAWFont DocMkrTextInternal::Footer::m_font

the font

Referenced by DocMkrText::readFooter(), and DocMkrText::sendFooter().

## ◆ m_items

int DocMkrTextInternal::Footer::m_items[6]

the item values

Referenced by empty(), Footer(), DocMkrText::readFooter(), and DocMkrText::sendFooter().

## ◆ m_userInfo

std::string DocMkrTextInternal::Footer::m_userInfo

the user information entry

Referenced by DocMkrText::sendFooter().

The documentation for this struct was generated from the following file:

- DocMkrText.cxx